List simulations for prompt template

Returns a paginated list of simulation runs for a prompt template.

GET https://api.futureagi.com/simulate/prompt-templates/{prompt_template_id}/simulations/

Authentication

X-Api-Key API Key Required

Your Future AGI API key used to authenticate requests. You can find and manage your API keys in the Dashboard under Settings.

X-Secret-Key Secret Key Required

Your Future AGI secret key, used alongside the API key for request authentication. This is generated when you create an API key in the Dashboard.

Path parameters

prompt_template_id UUID Required

UUID of the prompt template to list simulation runs for.

Query parameters

version_id string Optional

Filter by prompt version UUID.

limit integer Optional

Number of results per page. Defaults to 10.

page integer Optional

Page number to retrieve. Defaults to 1.

Response

200 OK
status string

"success" if the request succeeded.

data object

Paginated response payload.

count integer

Total number of matching simulation runs.

page integer

Current page number.

limit integer

Number of items per page.

prompt_template object

Parent prompt template summary with id and name.

results array of object

Array of simulation run objects with id, name, description, source_type, source_type_display, prompt_template, prompt_template_detail, prompt_version, prompt_version_detail, scenarios, scenarios_detail, dataset_row_ids, enable_tool_evaluation, created_at, updated_at, and last_run_at.

Errors

401 Unauthorized Optional

Invalid or missing authentication credentials.

404 Not Found Optional

The specified prompt template does not exist.

500 Internal Server Error Optional

An unexpected server error occurred.

GET /
Authentication
REQUEST
 
RESPONSE